Summary: Simple Protocol for Independent Computing Environments
Name: spice
Version: 0.12.4
Release: r0.0
License: LGPLv2.1+
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: alsa-lib
BuildRequires: virtual/gettext
BuildRequires: cyrus-sasl
BuildRequires: celt051
BuildRequires: jpeg
BuildRequires: glib-2.0
BuildRequires: gettext-native
BuildRequires: python-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: python-pyparsing
BuildRequires: automake-native
BuildRequires: pixman

%description
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.

%package -n libspice-server-protocol
Summary: Simple Protocol for Independent Computing Environments
License: BSD
Group: base
Provides: spice-protocol

%description -n libspice-server-protocol
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.

%package -n libspice-server-dbg
Summary: Simple Protocol for Independent Computing Environments - Debugging files
Group: devel
Suggests: libjpeg-dbg
Suggests: libglib-2.0-dbg
Suggests: libssl-dbg
Suggests: libz-dbg
Suggests: libsasl2-dbg
Suggests: libcrypto-dbg
Suggests: libc6-dbg
Suggests: libpixman-1-dbg
Suggests: libcelt051-dbg
Recommends: libspice-server1 = 0.12.4-r0.0
Provides: spice-dbg

%description -n libspice-server-dbg
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n libspice-server-staticdev
Summary: Simple Protocol for Independent Computing Environments - Development files (Static Libraries)
Group: devel
Requires: libspice-server-dev = 0.12.4-r0.0
Provides: spice-staticdev

%description -n libspice-server-staticdev
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.  This package contains static libraries for software
development.

%package -n libspice-server-dev
Summary: Simple Protocol for Independent Computing Environments - Development files
Group: devel
Requires: libspice-server1 = 0.12.4-r0.0
Suggests: libjpeg-dev
Suggests: libz-dev
Suggests: libcelt051-dev
Suggests: libglib-2.0-dev
Suggests: libsasl2-dev
Suggests: libcrypto-dev
Suggests: libc6-dev
Suggests: python-pyparsing-dev
Suggests: alsa-lib-dev
Suggests: libpixman-1-dev
Suggests: libssl-dev
Provides: spice-dev

%description -n libspice-server-dev
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.  This package contains symbolic links, header files,
and related items necessary for software development.

%package -n libspice-server-doc
Summary: Simple Protocol for Independent Computing Environments - Documentation files
Group: doc
Provides: spice-doc

%description -n libspice-server-doc
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.  This package contains documentation.

%package -n libspice-server-locale
Summary: Simple Protocol for Independent Computing Environments
Group: base
Provides: spice-locale

%description -n libspice-server-locale
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.

%package -n libspice-server1
Summary: Simple Protocol for Independent Computing Environments
Group: base
Requires: libjpeg.so.8(LIBJPEG_8.0)(64bit)
Requires: libssl1.0.0 >= 1.0.1j
Requires: libcrypto.so.1.0.0()(64bit)
Requires: libresolv.so.2()(64bit)
Requires: libpixman-1-0 >= 0.32.6
Requires: libz1 >= 1.2.8
Requires: libcelt051-0 >= 0.5.1.3
Requires: libpixman-1.so.0()(64bit)
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libsasl2-3 >= 2.1.26
Requires: libglib-2.0.so.0()(64bit)
Requires: libdl.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.11)(64bit)
Requires: libcelt051.so.0()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libglib-2.0-0 >= 2.40.0
Requires: libssl.so.1.0.0()(64bit)
Requires: libjpeg8 >= 8d
Requires: librt.so.1()(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libssl.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires: librt.so.1(GLIBC_2.2.5)(64bit)
Requires: libz.so.1()(64bit)
Requires: libm.so.6()(64bit)
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libcrypto1.0.0 >= 1.0.1j
Requires: libc.so.6()(64bit)
Requires: libjpeg.so.8()(64bit)
Requires: libsasl2.so.3()(64bit)
Requires: libpthread.so.0()(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libjpeg.so.8(LIBJPEG_8.0)(64bit)
Requires(post): libssl1.0.0 >= 1.0.1j
Requires(post): libcrypto.so.1.0.0()(64bit)
Requires(post): libresolv.so.2()(64bit)
Requires(post): libpixman-1-0 >= 0.32.6
Requires(post): libz1 >= 1.2.8
Requires(post): libcelt051-0 >= 0.5.1.3
Requires(post): libpixman-1.so.0()(64bit)
Requires(post): libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires(post): libsasl2-3 >= 2.1.26
Requires(post): libglib-2.0.so.0()(64bit)
Requires(post): libdl.so.2()(64bit)
Requires(post): libc.so.6(GLIBC_2.11)(64bit)
Requires(post): libcelt051.so.0()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libglib-2.0-0 >= 2.40.0
Requires(post): libssl.so.1.0.0()(64bit)
Requires(post): libjpeg8 >= 8d
Requires(post): librt.so.1()(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(post): libssl.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+19
Requires(post): librt.so.1(GLIBC_2.2.5)(64bit)
Requires(post): libz.so.1()(64bit)
Requires(post): libm.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libcrypto1.0.0 >= 1.0.1j
Requires(post): libc.so.6()(64bit)
Requires(post): libjpeg.so.8()(64bit)
Requires(post): libsasl2.so.3()(64bit)
Requires(post): libpthread.so.0()(64bit)
Requires(post): libm.so.6(GLIBC_2.2.5)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.10.0)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.8.1)(64bit)
Provides: libspice-server.so.1()(64bit)
Provides: elf(buildid) = 7c2a78d2415aed0fea119d52dccfd04f5ba117b4
Provides: libspice-server.so.1(SPICE_SERVER_0.8.0)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.12.4)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.12.3)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.10.4)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.12.2)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.11.4)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.8.2)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.6.1)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.8.3)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.10.3)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.10.2)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.10.1)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.6.0)(64bit)
Provides: libspice-server.so.1(SPICE_SERVER_0.11.2)(64bit)
Provides: spice

%description -n libspice-server1
SPICE (the Simple Protocol for Independent Computing Environments) is a
remote-display system built for virtual environments which allows users to
view a computing 'desktop' environment - not only on its computer-server
machine, but also from anywhere on the Internet and using a wide variety of
machine architectures.

%post -n libspice-server1
# libspice-server1 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libspice-server-protocol
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/share"
%dir "/usr/include/spice-1"
%dir "/usr/include/spice-1/spice"
"/usr/include/spice-1/spice/error_codes.h"
"/usr/include/spice-1/spice/qxl_dev.h"
"/usr/include/spice-1/spice/barrier.h"
"/usr/include/spice-1/spice/types.h"
"/usr/include/spice-1/spice/qxl_windows.h"
"/usr/include/spice-1/spice/end-packed.h"
"/usr/include/spice-1/spice/enums.h"
"/usr/include/spice-1/spice/vd_agent.h"
"/usr/include/spice-1/spice/stats.h"
"/usr/include/spice-1/spice/ipc_ring.h"
"/usr/include/spice-1/spice/foreign_menu_prot.h"
"/usr/include/spice-1/spice/protocol.h"
"/usr/include/spice-1/spice/macros.h"
"/usr/include/spice-1/spice/start-packed.h"
"/usr/include/spice-1/spice/controller_prot.h"
"/usr/include/spice-1/spice/vdi_dev.h"
%dir "/usr/share/pkgconfig"
"/usr/share/pkgconfig/spice-protocol.pc"

%files -n libspice-server-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/spice"
%dir "/usr/src/debug/spice/0.12.4-r0"
%dir "/usr/src/debug/spice/0.12.4-r0/build"
%dir "/usr/src/debug/spice/0.12.4-r0/git"
%dir "/usr/src/debug/spice/0.12.4-r0/build/spice-common"
%dir "/usr/src/debug/spice/0.12.4-r0/build/spice-common/common"
"/usr/src/debug/spice/0.12.4-r0/build/spice-common/common/generated_server_marshallers.h"
"/usr/src/debug/spice/0.12.4-r0/build/spice-common/common/generated_server_marshallers.c"
"/usr/src/debug/spice/0.12.4-r0/build/spice-common/common/generated_server_demarshallers.c"
%dir "/usr/src/debug/spice/0.12.4-r0/git/server"
%dir "/usr/src/debug/spice/0.12.4-r0/git/spice-common"
"/usr/src/debug/spice/0.12.4-r0/git/server/main_dispatcher.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_client_shared_cache.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/dispatcher.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/mjpeg_encoder.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/spice-experimental.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/reds.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/spicevmc.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/migration_protocol.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_worker.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/inputs_channel.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/demarshallers.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/reds-private.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_channel.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encoder_dictionary_protected.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/agent-msg-filter.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/agent-msg-filter.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/snd_worker.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encoder.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_dispatcher.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/inputs_channel.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_dispatcher.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encoder_config.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/char_device.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_memslots.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encoder_dictionary.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/main_channel.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_bitmap_utils.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/snd_worker.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_worker.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/jpeg_encoder.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_client_cache.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/mjpeg_encoder.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/reds.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/dispatcher.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/char_device.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/zlib_encoder.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_memslots.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/zlib_encoder.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/main_channel.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_parse_qxl.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/main_dispatcher.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/jpeg_encoder.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encode_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encode_match_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encoder_dictionary.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_parse_qxl.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_channel.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/red_common.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/stat.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/spice_timer_queue.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/spice_timer_queue.c"
"/usr/src/debug/spice/0.12.4-r0/git/server/spice.h"
"/usr/src/debug/spice/0.12.4-r0/git/server/glz_encoder.h"
%dir "/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol"
%dir "/usr/src/debug/spice/0.12.4-r0/git/spice-common/common"
%dir "/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol/spice"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol/spice/qxl_dev.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol/spice/enums.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol/spice/vd_agent.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol/spice/stats.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/spice-protocol/spice/protocol.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/canvas_utils.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/backtrace.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/marshaller.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lz.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lines.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/messages.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/quic.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/sw_canvas.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/quic.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/quic_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/mem.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/region.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/ssl_verify.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/mem.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/quic_family_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/pixman_utils.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/quic_rgb_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/log.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/region.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lz_decompress_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/rop3.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/draw.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/pixman_utils.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/canvas_base.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/canvas_utils.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lz_common.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lz_compress_tmpl.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/ring.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/rect.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lz.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/marshaller.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/canvas_base.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/lines.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/sw_canvas.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/log.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/rop3.h"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/ssl_verify.c"
"/usr/src/debug/spice/0.12.4-r0/git/spice-common/common/backtrace.h"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libspice-server.so.1.8.0"

%files -n libspice-server-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libspice-server.a"

%files -n libspice-server-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/spice-server"
"/usr/include/spice-server/spice-experimental.h"
"/usr/include/spice-server/spice.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libspice-server.so"
"/usr/lib64/libspice-server.la"
"/usr/lib64/pkgconfig/spice-server.pc"

%files -n libspice-server1
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libspice-server.so.1.8.0"
"/usr/lib64/libspice-server.so.1"

